WaveFileObuffer

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.jl.converter
Class WaveFileObuffer

    java.lang.Object
      javazoom.jl.decoder.Obuffer
          javazoom.jl.converter.WaveFileObuffer

public class WaveFileObuffer
extends Obuffer

Implements an Obuffer by writing the data to a file in RIFF WAVE format.

Since:
  0.0

Field Summary

Fields inherited from class javazoom.jl.decoder.Obuffer
`MAXCHANNELS, OBUFFERSIZE`

Constructor Summary
`WaveFileObuffer(int number_of_channels, int freq, java.lang.String FileName)` Creates a new WareFileObuffer instance.

Method Summary
`void` | `append(int channel, short value)` Takes a 16 Bit PCM sample.
`void` | `clear_buffer()` Clears all data in the buffer (for seeking).
`void` | `close()`
`void` | `set_stop_flag()` Notify the buffer that the user has stopped the stream.
`void` | `write_buffer(int val)` Write the samples to the file or directly to the audio hardware.

Methods inherited from class javazoom.jl.decoder.Obuffer
`appendSamples`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WaveFileObuffer

    public WaveFileObuffer(int number_of_channels,
                           int freq,
                           java.lang.String FileName)

  Creates a new WareFileObuffer instance.

Parameters:
  `number_of_channels` - The number of channels of audio data this buffer will receive.
  `freq` - The sample frequency of the samples in the buffer.

Method Detail

### append

    public void append(int channel,
                       short value)

  Takes a 16 Bit PCM sample.

  Specified by:
    `append` in class `Obuffer`

### write_buffer

    public void write_buffer(int val)

  Description copied from class: `Obuffer`
  Write the samples to the file or directly to the audio hardware.

  Specified by:
    `write_buffer` in class `Obuffer`

### close

    public void close()

  Specified by:
    `close` in class `Obuffer`

### clear_buffer

    public void clear_buffer()

  Description copied from class: `Obuffer`
  Clears all data in the buffer (for seeking).

  Specified by:
    `clear_buffer` in class `Obuffer`

### set_stop_flag

    public void set_stop_flag()

  Description copied from class: `Obuffer`
  Notify the buffer that the user has stopped the stream.

  Specified by:
    `set_stop_flag` in class `Obuffer`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JavaZOOM 1999-2005